import { Type } from '@angular/core';
import { Widget } from './widget';
import { CounterComponent } from '../../../sculptor-lib/widgets/counter/counter.component';
import { PropertyPanelFieldMetadata } from '../common/property-panel-field';
export declare class Counter extends Widget {
    component?: Type<CounterComponent>;
    value: number;
    markup: string;
    name: string;
    unit: string;
    helpText: string;
    constructor(field?: Counter);
    /**
     * get widget value
     *
     * @returns
     */
    getWidgetValue(): any;
    /**
     * Set widget Value
     *
     * @param value
     */
    setWidgetValue(value: any): void;
    /**
     * this will return serialize of widget
     */
    getWidgetSerializedValue(): string;
    newCounter(): void;
    /**function to create counter object with existing values
    *
    *@param field
    *
    */
    counter(field: any): void;
    createValidators(): void;
    /**
     * Create FormControl for widget
     */
    createFormControl(): void;
    static getPropertyPanelFieldMetadata(target: any, key: string): PropertyPanelFieldMetadata;
    getPropertyPanelFieldUIProperties(): any;
}
